# Leukocyte telomere dynamics across gestation in uncomplicated pregnancies and associations with stress

## Description

Code to preproduce results for the manuscript:

> Leukocyte telomere dynamics across gestation in uncomplicated pregnancies and associations with stress

## Setup

```bash
conda env create -f environment.yml -n telomeres
conda activate telomeres
pip install git+ssh://git@github.com/mgbckr/mlflowhelper.git@1.2.0
pip install git+ssh://git@github.com/mgbckr/purpleml.git@v0.1.0
pip install -e .
```

## Get data

Please, contact the corresponding author for the data file. 
It should be placed in: `data/data_stress_telo.csv`

## Explore and run notebooks

```bash
# should open a browser window at `localhost:8888`
jupyter lab
```

You can now explore and run the the notebooks in the `notebooks` folder:
* `01_prediction.ipynb` to train models and preduce predictions
* `02_analysis.ipynb` for analysis and prediction result visalizations

The latter produces high quality figures in `_out/telomere-analysis`


