import collections


variable_types = collections.OrderedDict([
    ("birth_complication_reason"                       , "cat"),
    ("birth_complications_risk"                        , "ord"),
    ("birth_defect_reason"                             , "cat"),
    ("birth_defect_risk"                               , "ord"),
    ("defect_risk"                                     , "bin"), # derived
    ("diffrest"                                        , "num"),
    ("difftobed"                                       , "num"),
    ("difftowake"                                      , "num"),
    ("hrsget"                                          , "num"),
    ("hrsrest"                                         , "num"),
    ("moderate_act_compare"                            , "ord"), # less=-1, same=0, more=1 orig: "cat" with same=0, more=1, less=2; TODO: could be "ord" if the values where sorted correctly
    ("moderate_activity"                               , "bin"),
    ("parsed_derived_implicit_hrsget"                  , "num"),
    ("parsed_derived_implicit_hrspref"                 , "num"),
    ("parsed_derived_stress_facebk_friends_cat"        , "ord"), # 0-50, 50-200, 200+; there is "not used" either but parsed this as NaN
    ("parsed_derived_stress_support_people_bin"        , "bin"),
    ("parsed_employment_hours"                         , "num"),
    ("parsed_stress_facebk_friends"                    , "num"),
    ("parsed_stress_sleep_prev_night"                  , "num"),
    ("parsed_stress_support_people"                    , "num"),
    ("parsed_timegentobed"                             , "num"),
    ("parsed_timehavetowake"                           , "num"),
    ("parsed_timepreftobed"                            , "num"),
    ("parsed_timepreftowake"                           , "num"),
    ("preg_risk"                                       , "bin"), # derived from ???
    ("stress_accident"                                 , "bin"),
    ("stress_ages_11_20"                               , "ord"), # 0-7
    ("stress_angry"                                    , "ord"), # 0-7
    ("stress_anxious"                                  , "ord"), # ... ord with no comment is usually 0-7 (sometimes there is a NaN=99 in there, ignoring this)
    ("stress_appearance_satisfy"                       , "ord"),
    ("stress_b4_kindergrtn"                            , "cat"), # preschool=0, daycare=1, neither=66; TODO (done below): need to set "neither" to 2
    ("stress_body_wt_satisfy"                          , "ord"),
    ("stress_bully"                                    , "bin"),
    ("stress_current_health"                           , "ord"),
    ("stress_death_lovd1"                              , "bin"),
    ("stress_depressed"                                , "ord"),
    ("stress_divorce_parent"                           , "bin"),
    ("stress_divorce_self"                             , "bin"),
    ("stress_family_support"                           , "ord"),
    ("stress_first_10yr"                               , "ord"),
    ("stress_fob_support"                              , "ord"),
    ("stress_glasses_use"                              , "cat"), # reading=1, distance=2, both=3
    ("stress_handedness"                               , "cat"), # right=1, left=2, both=3
    ("stress_happy"                                    , "ord"),
    ("stress_heath_prev_3yr"                           , "ord"),
    ("stress_height_satisfy"                           , "ord"),
    ("stress_home_loss_parent"                         , "bin"),
    ("stress_home_loss_self"                           , "bin"),
    ("stress_job_loss_parent"                          , "bin"),
    ("stress_job_loss_self"                            , "bin"),
    ("stress_life_21_30"                               , "ord"),
    ("stress_life_31_40"                               , "ord"),
    ("stress_life_41_50"                               , "ord"),
    ("stress_life_after50"                             , "ord"),
    ("stress_lonely"                                   , "ord"),
    ("stress_major_illness"                            , "bin"),
    ("stress_optimistic"                               , "ord"),
    ("stress_other_experience1"                        , "bin"),
    ("stress_other_experience2"                        , "bin"),
    ("stress_pain"                                     , "ord"),
    ("stress_pain_scale"                               , "ord"),
    ("stress_past_1yr"                                 , "ord"),
    ("stress_past_3yr"                                 , "ord"),
    ("stress_pessimistic"                              , "ord"),
    ("stress_quest_complete"                           , "ord"),
    ("stress_relationship_status___1"                  , "bin"), # the following should be one categorical variable, I guess
    ("stress_relationship_status___2"                  , "bin"),
    ("stress_relationship_status___3"                  , "bin"),
    ("stress_relationship_status___4"                  , "bin"),
    ("stress_relationship_status___5"                  , "bin"),
    ("stress_religious"                                , "ord"),
    ("stress_sad"                                      , "ord"),
    ("stress_shy"                                      , "ord"),
    ("stress_sleep_qlty_nowork"                        , "ord"),
    ("stress_sleep_qlty_work"                          , "ord"),
    ("stress_spiritual"                                , "ord"),
    ("stress_tired"                                    , "ord"),
    ("vigorous_act_compare"                            , "ord"), # less=-1, same=0, more=1 orig: "cat" with same=0, more=1, less=2; TODO: could be "ord" if the values where sorted correctly
    ("vigorous_activity"                               , "bin"),
    ("work_outside_home"                               , "bin"),
])
